Bug 221710 - sysutils/bacula-server: upgrade to 9.0
Summary: sysutils/bacula-server: upgrade to 9.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dan Langille
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-08-22 08:57 UTC by ari
Modified: 2017-08-30 18:19 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (dvl)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ari 2017-08-22 08:57:12 UTC
Although I don't have a patch and this is a major new release, I'm opening this ticket because the older bacula doesn't compile against MariaDB 10.2 (it works against 10.1).

I understand from comments over at RedHat that this has been fixed in bacula source already.
Comment 1 Dan Langille freebsd_committer 2017-08-25 14:11:32 UTC
I have a code review ready.  https://reviews.freebsd.org/D12122

If you want to try that patch, and see how it works for you, especially if you build from ports, thank you.
Comment 2 Dan Langille freebsd_committer 2017-08-29 16:21:37 UTC
I have pinged the maintainer of net-mgmt/nagios-check_bacula in case they would like to be the maintainer of net-mgmt/nagios-check_bacula9
Comment 3 commit-hook freebsd_committer 2017-08-30 18:12:04 UTC
A commit references this bug:

Author: dvl
Date: Wed Aug 30 18:11:07 UTC 2017
New revision: 448995
URL: https://svnweb.freebsd.org/changeset/ports/448995

Log:
  Add Bacula 9.0.3

  PR:		221710

Changes:
  head/net-mgmt/Makefile
  head/net-mgmt/nagios-check_bacula9/
  head/net-mgmt/nagios-check_bacula9/Makefile
  head/sysutils/Makefile
  head/sysutils/bacula9-bat/
  head/sysutils/bacula9-client/
  head/sysutils/bacula9-client/Makefile
  head/sysutils/bacula9-client-static/
  head/sysutils/bacula9-client-static/Makefile
  head/sysutils/bacula9-docs/
  head/sysutils/bacula9-docs/Makefile
  head/sysutils/bacula9-docs/distinfo
  head/sysutils/bacula9-server/
  head/sysutils/bacula9-server/Makefile
  head/sysutils/bacula9-server/Makefile.common
  head/sysutils/bacula9-server/distinfo
  head/sysutils/bacula9-server/files/patch-src_filed_Makefile.in
  head/sysutils/bacula9-server/files/patch-src_stored_Makefile.in
  head/sysutils/bacula9-server/files/patch-src_tools_Makefile.in
  head/sysutils/bacula9-server/files/pkg-message.server.in
  head/sysutils/bacula9-server/pkg-plist
  head/sysutils/bacula9-server/pkg-plist.client
Comment 4 Dan Langille freebsd_committer 2017-08-30 18:19:36 UTC
Done.  Thank you.